# Uses of Class
org.eclipse.jdt.core.dom.ArrayCreation

Packages that use ArrayCreation
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ArrayCreation in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ArrayCreation
Modifier and Type
Method
Description
`ArrayCreation`
AST.`newArrayCreation()`
Creates and returns a new unparented array creation expression node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type ArrayCreation
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ArrayCreation node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ArrayCreation node, Object other)`
Returns whether the given node and the other object object match.
`boolean`
ASTVisitor.`visit(ArrayCreation node)`
Visits the given type-specific AST node.